sql dumps - interwiki table is empty, dumping should be discontinued
Closed, ResolvedPublic

Description

0) Context

The interwiki table is no longer used by WMF wikis. Instead,
WMF wikis use https://noc.wikimedia.org/conf/interwiki.cdb for its performance advantage.

  1. Problem

The sql dumps still show the empty interwiki table.

  1. Requested actions

Please discontinue dumping the interwiki table.
Please consider dumping the interwiki.cdb file.

wpmirrordev assigned this task to ArielGlenn.
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 8:05 PM

Please consider dumping the interwiki.cdb file.

see also T75905. which doesn't seem to have any rationale? cc @Reedy

you can fetch it by HTTP as often as you like. (well, as often as is
reasonable. probably no reason to do more than once a minute. Or per 5
minutes even)

I suppose it could also be fetched from HTTP and archived by the dump
process. Anyone else interested in that?

Change 241618 had a related patch set uploaded (by ArielGlenn):
stop dumping interwiki table (T103589)

https://gerrit.wikimedia.org/r/241618

Change 241618 merged by ArielGlenn:
stop dumping interwiki table (T103589)

https://gerrit.wikimedia.org/r/241618

ArielGlenn closed this task as "Resolved".Sep 28 2015, 10:40 AM

availability via HTTP is fine; scripts that process the dumps can pick the file up from there as needed.

https://gerrit.wikimedia.org/r/#/c/241618/ takes care of the rest. Closing.

ArielGlenn moved this task from Backlog to Done on the Dumps-Generation board.Sep 28 2015, 12:18 PM
bd808 added a subscriber: bd808.Jul 4 2016, 7:31 PM

For anyone who ends up here looking for the interwiki data used on the Wikimedia production servers, the use of the CDB file mentioned in the description has been replaced with a PHP version: https://noc.wikimedia.org/conf/interwiki.php.txt